org.apache.activemq.artemis.uri

## Class InVMServerLocatorSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>
  - - org.apache.activemq.artemis.uri.AbstractServerLocatorSchema
    - - org.apache.activemq.artemis.uri.InVMServerLocatorSchema

-     public class InVMServerLocatorSchema
      extends AbstractServerLocatorSchema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMServerLocatorSchema()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()`
    `static URI` | `getUri(TransportConfiguration[] configurations)`
    `protected ServerLocator` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(ServerLocator bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.AbstractServerLocatorSchema

      `newConnectionOptions`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `copyData, getData, getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMServerLocatorSchema

          public InVMServerLocatorSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`

    - #### internalNewObject

          protected ServerLocator internalNewObject(URI uri,
                                                    Map<String,String> query,
                                                    String name)
                                             throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(ServerLocator bean)
                                throws Exception

      Specified by:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### getUri

          public static URI getUri(TransportConfiguration[] configurations)
                            throws URISyntaxException

      Throws:
        `URISyntaxException`

Copyright © 2016. All rights reserved.